gnutls_cipher_encrypt2(3)

NAME
gnutls_cipher_encrypt2 - API function

SYNOPSIS
#include <gnutls/crypto.h>

int gnutls_cipher_encrypt2(gnutls_cipher_hd_t handle, const void * ptext, size_t ptext_len, void * ctext, size_t ctext_len);

ARGUMENTS

gnutls_cipher_hd_t handle
    is a gnutls_cipher_hd_t type

const void * ptext
    the data to encrypt

size_t ptext_len
    the length of data to encrypt

void * ctext
    the encrypted data

size_t ctext_len
    the available length for encrypted data

DESCRIPTION
This function will encrypt the given data using the algorithm specified by the context. For block ciphers the ptext_len must be a multiple of the block size. For the supported ciphers the encrypted data length will equal the plaintext size.

RETURNS
Zero or a negative error code on error.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/